# FLS Vertretungsplan App

[![pipeline](https://git.monobear.eu/fls/flutter-test/badges/main/pipeline.svg)](https://git.monobear.eu/fls/flutter-test/-/commits/main)  [![coverage](https://git.monobear.eu/fls/flutter-test/badges/main/coverage.svg)](https://git.monobear.eu/fls/flutter-test/-/commits/main)

This app serves the pupil and teacher of the school Friedrich-List-Schule Wiesbaden (FLS)
as a way to get notified about changes in their daily schedule. 
It fetches data from the official school server and visualizes them in the app.

<img width="210" alt="Modern design" src="/assets/screenshots/1.png"> <img width="210" alt="Wizard" src="/assets/screenshots/2.png"> <img width="210" alt="Changes" src="/assets/screenshots/3.png"> <img width="210" alt="Individual plan" src="/assets/screenshots/4.png"> <img width="210" alt="Holidays" src="/assets/screenshots/5.png"> 

Pictures were generated and prepared with help of [https://screenshots.pro](https://screenshots.pro/).

## Features

* Modern and clear user interface
* Customized list of changes by school class (right on the device)
* Background updates
* Notifications on new changes
* Sharing of changes as picture/text/calendar event
* Supports displaying of regular plan
* Informs about holidays

## Restrictions
* FLS is cooperating with other schools in Wiesbaden. Schedule of courses which are held on those schools are currently not displayed.

## Purpose

This app serves multiple purposes:

* Providing a modern and convenient way for pupil/teacher to get informed about changes
* Giving pupil/students the opportunity to explore a full fleshed app with a real-world use case
* Creating a blueprint app that could be offered and customized for almost every school

## Contribution

All types of contribution are welcome. Whether you are a student just getting into programming or
a seasoned developer, feel free to contribute code/documentation or ask questions/create tickets.

## Roadmap

Further improvements planed:

1. Add support for remote notifications

## About

Developer: Lukas Schreiner ([@monofox](https://github.com/monofox))<br/>
Concepts: Simon Seyer ([@simonseyer](https://github.com/simonseyer))<br/>
Designer: Kamil Drozd ([@kamildrozd91](https://github.com/kamildrozd91))

Owner of the app is the [Friedrich-List-Schule Wiesbaden](https://www.fls-wiesbaden.de).

This project is licensed under the terms of the [MIT license](LICENSE.md).
